#####################################################################
#
#  Copyright (C) 1996 Blue Marsh Softworks -- All Rights Resevered.
#
# PROJECT:       Text Editor
# MODULE:        Geode Parameters
# FILE:          texted.gp
#
# AUTHORS:       Nathan Fiedler
#
# REVISION HISTORY:
#      Name      Date      Description
#      ----      ----      -----------
#       NF       02/12/96  Initial version
#
# DESCRIPTION:
#      This file contains the geode parameters for the Text Editor
#      application. This file is read by the GLUE linker to
#      build this application.
#
#####################################################################

name texted.app

longname "Text Editor"

type appl, process

class TFEProcessClass

appobj TFEApp

tokenchars "TXED"
tokenid 16426

# Add in 64 for the data read/write block (1K div 16).
heapspace 380
# heapspace 500

platform geos201
# platform zoomer
# platform pt9000
# platform omnigo

library geos
library ui
library text
library spool
library spell

resource APPRESOURCE ui-object
resource INTERFACE ui-object
resource DOCGROUPRESOURCE object
resource DISPLAYRESOURCE ui-object discard-only
resource DOCUMENTRESOURCE ui-object discard-only
resource TFELCMONIKERRESOURCE ui-object
resource TFELMMONIKERRESOURCE ui-object

export TFEDocumentClass
export TFETextClass

usernotes "Text Editor - Lets you edit text files."

